Subject: Re: Delay the variable initialization in get_rel_sync_entry

From: Amit Langote <[email-masked]>
Date: Thu, 6 Jan 2022 14:16:25 +0900

On Wed, Jan 5, 2022 at 10:31 AM Michael Paquier <[email-masked]> wrote:
> On Fri, Dec 24, 2021 at 01:27:26PM +0000, [email-masked] wrote:
> > Here is the perf result of pgoutput_change after applying the patch.
> > I didn't notice something else that stand out.
> >
> >         |--2.99%--pgoutput_change
> >             |--1.80%--get_rel_sync_entry
> >                     |--1.56%--hash_search
> >
> > Also attach complete profiles.
>
> Thanks.  I have also done my own set of measurements, and the
> difference is noticeable in the profiles I looked at.  So, applied
> down to 13.

Thanks.  I agree the variables were being defined in the wrong place
before this patch.

-- 
Amit Langote
EDB: http://www.enterprisedb.com